Kerbal Space Program - Bug #25158

Ejection Angle range on the Maneuver Mode is incorrect. it should be 0 to 359 when it isnt
04/14/2020 01:14 AM - Anth12

Status: Confirmed Start date: 04/14/2020
Severity: Low % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

First Screenshot is how it is currently:
Itis currently 0 to 180 + -180t0 0
Second Screen shot is how it should be:

It should be 0 to 359 in line with https://alexmoon.github.io/ksp/ (or the mod)
and KER, unless | am missing something?

History

#1 - 04/14/2020 02:33 AM - Anth12

- Subject changed from Ejection Angle on the Maneuver Mode is incorrect. to Ejection Angle range on the Maneuver Mode is incorrect. it should be 0
to 359 when it isnt

#2 - 07/19/2020 08:15 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| am confirming.

The alexmoon planner linked above, and the TransferWindowPlanner mod, use an abbreviated expression that means

"Burn 130° before your orbit crosses the prograde direction of the starting planet's orbit" to get to an outer-planet destination,
"Burn 150° before your orbit crosses the retrograde direction of the starting planet's orbit" to get to an inner planet.

So the planning tools express the full circle of possible ejection-burn locations as [0°--180°, 0°--180°] where half the circle is measured relative to
the retrograde direction of the starting planet. That format, "150° to retrograde," would be the ideal display on the maneuver tool.

If the maneuver tool shows [0°--360°] we can just add/subtract 180° for inner-planet burns, and this a common operation for pilots and navigators.
The current display of [-180°--180°] is much more awkward.

Files
Incorrect.png 1.56 MB 04/14/2020 Anth12
Correct.png 1.59 MB 04/14/2020 Anth12
